// Core component styles
const coreStyles = {
    container: {
    },

    selected: {
    },
};

/**
 * Helper method to get styles for the Menu Component
 * @param {Object} contextStyles - Custom styles for the Menu component
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        selected: {
            ...coreStyles.selected,
            ...contextStyles.selected,
        },
    };
};

export default getStyles;
