// Core component styles
const coreStyles = {
    container: {
        display: 'inline-flex',
    },

    toggle: {
        // For a 'checked' switch
        // '&.Mui-checked': {
        // Target the track
        //     '& + $track': {
        //         backgroundColor: '#0ff',
        //     },
        // Target the thumb
        //     '& $thumb': {
        //         color: '#ff0',
        //     },
        // },
    },

    thumb: {
    },

    track: {
    },
};

/**
 * Combines coreStyles and contextStyles
 * @param {Object} contextStyles
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        toggle: {
            ...coreStyles.toggle,
            ...contextStyles.toggle,
        },

        thumb: {
            ...coreStyles.thumb,
            ...contextStyles.thumb,
        },

        track: {
            ...coreStyles.track,
            ...contextStyles.track,
        },
    };
};

export default getStyles;
