// Core component styles
const coreStyles = {
    container: {
        display: 'flex',
    },

    dropDown: {
    },

    icon: {
    },

    menu: {
    },

    menuItem: {
    },

    selectedItem: {
    },
};

/**
 * Helper method to get styles for the DropDown
 * @param {Object} contextStyles - Custom styles for the DropDown component
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        dropDown: {
            ...coreStyles.dropDown,
            ...contextStyles.dropDown,
        },

        icon: {
            ...coreStyles.icon,
            ...contextStyles.icon,
        },

        menu: {
            ...coreStyles.menu,
            ...contextStyles.menu,
        },

        menuItem: {
            ...coreStyles.menuItem,
            ...contextStyles.menuItem,
        },

        selectedItem: {
            ...coreStyles.selectedItem,
            ...contextStyles.selectedItem,
        },
    };
};

export default getStyles;
